Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 05 Nov 2021 09:58:40 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hello morning,

I have been facing a problem while online shopping by Centre-point application.When i finish all my procedure and try to send it for payment procedure then it shows an error while paying with Bank Muscat ATM card.it shows every time an error and payment can’t proceed.I also tried with my friend account by another Bank muscat Visa card but still same error.How can you help to sort it out?I could not buy anything from online Application.
Please help to sort it out https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3314659